php7.4imagick module on x15 server appears to no longer be enabled

zaweex10

Member
Messages
33
Reaction score
1
Points
8
The imagick php extension/module had previously been enabled (meaning had been installed and working for years) and now (as of this posting, meaning I have just noticed), it appears to no longer be the case, Additionally, it appears that the imagick php module is not enabled for other versions of PHP, as well, for the x15 server.
 

spacresx

Community Advocate
Community Support
Messages
2,181
Reaction score
195
Points
63
i think this is because you need to enable it in your php options.
it is not automatically selected in the defaults.

this can be done by going to to Select PHP version/extensions
then check off the imagick box.
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
That would be the case, if the situation that you are describing were true. However, this is not the case, because as mentioned it had been working until recently, so something has changed to cause this issue. If possible ,please notify staff to investigate because this is similar to a situation that was reported and resolved back in the year 2020, see the following thread:

PHP ImageMagick Extension no longer appears to be enabled
 

spacresx

Community Advocate
Community Support
Messages
2,181
Reaction score
195
Points
63
if you switch to php 7.3 does it fix this issue ?
im guessing its a version issue and may not be enabled on all php versions.
its possible they had fixed it on a per user basis so not everyone started on imagick .
i will sent a note to staff and see what they say.
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
Switching to different versions of php does not fix the issue, i.e., switching to php7.3 does not fix the issue. So, here is the situation, it had been previously working with php 7.4 and as of today, it appears not to be working, thus Staff needs to check what has changed. So, yes, please send them notification.
 

spacresx

Community Advocate
Community Support
Messages
2,181
Reaction score
195
Points
63
i have noticed that once you have a version set the way you want it, then change versions, it loses the presets,
example : setting php 7.3 as you want, then going to php 7.4, you lose any settings you made/changed in php 7.3
like the php dont hold your php extension settings if changing versions.

I never used imagick myself, ive always just used the default GD graphics, but thats just my choice.
but yes i sent a note to staff, its just a matter of waiting for a reply.
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
One difference between GD & imagick is that imagick retains EXIF metadata across image resizes and GD does not. And, thanks for notifying Staff. :)
 

Anna

I am just me
Staff member
Messages
11,736
Reaction score
578
Points
113
Can you check if it properly loads now?
 

realvanyek

New Member
Messages
28
Reaction score
1
Points
3
I also had this problem on php 7.4. To solve it, you need to change php version to latest available (8.1 at the moment)
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
Just checked and, unfortunately, it still doesn't load. Additional info, went into DA and deselected and then selected imagick for versions 7.3 & 7.4; DA indicates that the selection processes are saved (meaning, the form retains the selection), yet the imagick module fails to load after selection.
 

realvanyek

New Member
Messages
28
Reaction score
1
Points
3
Just checked and, unfortunately, it still doesn't load. Additional info, went into DA and deselected and then selected imagick for versions 7.3 & 7.4; DA indicates that the selection processes are saved (meaning, the form retains the selection), yet the imagick module fails to load after selection.
check my post above, i had the same problem and fixed it
 

spacresx

Community Advocate
Community Support
Messages
2,181
Reaction score
195
Points
63
unlike the full blown php releases, most hosting uses that multi php "packaged ware"
where they have multiple mini releases in them, so they set them to a default.
some extensions may not be default options so they remain unchecked.
this seems to be the case here, you will need to select certain options every time you change php versions.
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
unlike the full blown php releases, most hosting uses that multi php "packaged ware"
where they have multiple mini releases in them, so they set them to a default.
some extensions may not be default options so they remain unchecked.
this seems to be the case here, you will need to select certain options every time you change php versions.

Let's just say, I've done all of what you have suggested. In an attempt to make the situation clearer, imagick is selected/checked/marked and the setting has survived various installs of higher versions of PHP, e.g., from 7.2 through 8.0.
 

Anna

I am just me
Staff member
Messages
11,736
Reaction score
578
Points
113
I have a server tech running some stuff on the server, which hopefully will solve the problem with imagick on lower php versions.
We will update you with what he finds, likely sometime tomorrow (unless he posts himself) as I'm about to head offline.
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
I have a server tech running some stuff on the server, which hopefully will solve the problem with imagick on lower php versions.
We will update you with what he finds, likely sometime tomorrow (unless he posts himself) as I'm about to head offline.
@Anna
Any update as to when this will be resolved?
 

zaweex10

Member
Messages
33
Reaction score
1
Points
8
Hello,

I have our team reviewing this for us. Soon as I have more information I will update this ticket.
@Eric S
Perhaps, you could share what information you have because, to me, this seems like an excessive amount of time has passed without a fix for this issue of the imagick extension/mmodule not loading for PHP version 7.4.
 

spacresx

Community Advocate
Community Support
Messages
2,181
Reaction score
195
Points
63
Eric said
Soon as I have more information I will update this ticket.
he did not say he had information to share yet.

these things take time to sort through but once there is something staff will reply back;
 
Top